---
updatedAt: 2026-04-28T19:11:36.000Z
agentTools:
  projectIndex: https://docs.rainforestpay.com/llms.txt
---

# Update chargeback evidence

Update a chargeback's evidence. Only fields included in the payload will be updated. Omitted fields will be removed. To remove a field, set the value to `null`.

# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Payments",
    "version": "1.0.0",
    "description": "This resource is used for payment actions",
    "contact": {
      "name": "Rainforest",
      "email": "support@rainforestpay.com",
      "url": "https://rainforestpay.com"
    }
  },
  "servers": [
    {
      "url": "https://api.sandbox.rainforestpay.com",
      "description": "Sandbox server"
    },
    {
      "url": "https://api.rainforestpay.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v1/chargebacks/{chargeback_id}": {
      "get": {
        "operationId": "get_chargeback",
        "summary": "Get chargeback",
        "description": "Get chargeback details by the chargeback ID.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1payins/get/parameters/0"
          },
          {
            "in": "path",
            "required": true,
            "name": "chargeback_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique chargeback identifier. \n\nPrefix is \"chb\" in production and \"sbx_chb\" in sandbox.",
            "examples": {
              "production": {
                "value": "chb_2TndahOgm9XTiidLB7csk0IsR9b"
              },
              "sandbox": {
                "value": "sbx_chb_2TndahOgm9XTiidLB7csk0IsR9b"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "chargeback_id": {
                          "description": "The unique chargeback identifier. \n\nPrefix is \"chb\" in production and \"sbx_chb\" in sandbox.",
                          "type": "string",
                          "example": "chb_2TndahOgm9XTiidLB7csk0IsR9b"
                        },
                        "payin_id": {
                          "$ref": "#/paths/~1v1~1payins~1{payin_id}~1void_or_refund/post/responses/200/content/application~1json/schema/properties/data/properties/payin_id"
                        },
                        "merchant_id": {
                          "$ref": "#/paths/~1v1~1device_registrations/post/requestBody/content/application~1json/schema/properties/merchant_id"
                        },
                        "amount": {
                          "description": "The amount of the chargeback, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "minimum": 0
                        },
                        "currency_code": {
                          "$ref": "#/paths/~1v1~1payins~1{payin_id}~1void_or_refund/post/requestBody/content/application~1json/schema/properties/amount_splits/items/properties/currency_code"
                        },
                        "status": {
                          "description": "The status of the chargeback.",
                          "type": "string",
                          "enum": [
                            "INQUIRY_ACTION_REQUIRED",
                            "DISPUTE_ACTION_REQUIRED",
                            "INQUIRY_RESPONDED",
                            "CHARGEBACK_PROCESSING",
                            "PRE_ARBITRATION_PROCESSING",
                            "PROVISIONAL_WIN",
                            "WON",
                            "LOST",
                            "ARBITRATION"
                          ],
                          "example": "WON"
                        },
                        "metadata": {
                          "$ref": "#/paths/~1v1~1payins~1{payin_id}~1metadata/patch/requestBody/content/application~1json/schema",
                          "description": "Valid JSON key-value object specified by the platform to store additional information. This will contain metadata from the associated payin."
                        },
                        "merchant_fees": {
                          "description": "The dispute fee billed to the merchant.",
                          "type": "object",
                          "properties": {
                            "total_amount": {
                              "description": "The total amount of fees billed to the merchant.",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/merchant_fees/properties/total_amount/properties/amount"
                                },
                                "currency_code": {
                                  "$ref": "#/paths/~1v1~1payins~1{payin_id}~1void_or_refund/post/requestBody/content/application~1json/schema/properties/amount_splits/items/properties/currency_code"
                                }
                              }
                            }
                          },
                          "example": {
                            "total_amount": {
                              "amount": 2500,
                              "currency_code": "USD"
                            }
                          }
                        },
                        "applied_billing": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/applied_billing"
                        },
                        "method_type": {
                          "description": "The type of payment method.",
                          "type": "string",
                          "enum": [
                            "CARD",
                            "APPLE_PAY",
                            "GOOGLE_PAY",
                            "PAYPAL_WALLET",
                            "VENMO",
                            "PAYPAL_PAYLATER"
                          ]
                        },
                        "card": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/card"
                        },
                        "apple_pay": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/apple_pay"
                        },
                        "google_pay": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/google_pay"
                        },
                        "paypal_wallet": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/paypal_wallet"
                        },
                        "venmo": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/venmo"
                        },
                        "paypal_paylater": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/paypal_paylater"
                        },
                        "reason_code": {
                          "description": "The code explaining the dispute reason for the chargeback.",
                          "type": "string",
                          "enum": [
                            "CREDIT_NOT_PROCESSED",
                            "DUPLICATE_TRANSACTION",
                            "FRAUD",
                            "GENERAL",
                            "INCORRECT_AMOUNT",
                            "NOT_RECEIVED",
                            "NOT_ACCEPTABLE",
                            "SUBSCRIPTION_CANCELED",
                            "UNRECOGNIZED",
                            "UNCATEGORIZED"
                          ],
                          "readOnly": true
                        },
                        "reason_desc": {
                          "description": "The description explaining the dispute reason for the chargeback. This will be a human-readable value that may be presented to the end user.",
                          "type": "string",
                          "examples": [
                            "The customer claims they should receive a refund or partial refund because the product was returned, canceled, or not fully fulfilled, but they have not seen the refund be processed.",
                            "The customer claims they were charged multiple times for the same product or service.",
                            "The customer claims they did not authorize or recognize the payment.",
                            "This chargeback was initiated by the cardholder for a reason that does not fit into more specific categories.",
                            "The customer claims they were charged an incorrect amount for the product or service purchased.",
                            "The customer claims they did not receive the product or service they purchased.",
                            "The customer claims the product was defective, damaged, or not accurately described prior to purchasing.",
                            "The customer claims the payment was processed after the subscription was canceled.",
                            "The customer claims they do not recognize the merchant or the payment.",
                            "This chargeback was initiated by the cardholder for a reason that does not fit into more specific categories."
                          ],
                          "readOnly": true
                        },
                        "acquirer_ref": {
                          "type": "string",
                          "description": "Acquirer Reference Number (ARN) is the unique identifier to trace the chargeback with the issuing bank."
                        },
                        "due_date": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/expected_deposit_date",
                          "description": "Date chargeback times out and will be decisioned as a win or a loss depending on the current status."
                        },
                        "chargeback_evidence": {
                          "type": "array",
                          "items": {
                            "$ref": "#/paths/~1v1~1chargebacks~1{chargeback_id}~1evidence~1{chargeback_evidence_id}/patch/responses/200/content/application~1json/schema/properties/data"
                          }
                        },
                        "validation_errors": {
                          "description": "List of errors with the chargeback evidence to respond to the chargeback, if applicable.",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "description": "Details of the error with the chargeback evidence.",
                            "properties": {
                              "field": {
                                "description": "The field in the request that had an error, if applicable.",
                                "type": "string"
                              },
                              "code": {
                                "description": "The code describing the error.",
                                "type": "string"
                              },
                              "message": {
                                "description": "The description of the error related to the field.",
                                "type": "string"
                              }
                            }
                          }
                        },
                        "expected_deposit_date": {
                          "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data/properties/expected_deposit_date",
                          "description": "Date the fee of the chargeback is expected to be deducted in a deposit. Funds pulled from the merchant or given to the merchant is dependent on the chargeback status and is not represented by the expected deposit date."
                        },
                        "source": {
                          "description": "The source of the chargeback. Indicates the integration that created the chargeback.",
                          "type": "string",
                          "nullable": false,
                          "enum": [
                            "SYSTEM"
                          ]
                        },
                        "source_desc": {
                          "description": "The description of the source of the chargeback. This will be a human-readable value that may be presented to the end user.",
                          "type": "string",
                          "nullable": false
                        },
                        "created_at": {
                          "description": "Date and time chargeback was created at in UTC RFC 3339 format.",
                          "$ref": "#/paths/~1v1~1payment_method_domains/post/responses/200/content/application~1json/schema/properties/data/properties/created_at",
                          "readOnly": true
                        },
                        "updated_at": {
                          "description": "Date and time chargeback was last updated at in UTC RFC 3339 format.",
                          "$ref": "#/paths/~1v1~1payment_method_domains/post/responses/200/content/application~1json/schema/properties/data/properties/created_at",
                          "readOnly": true
                        }
                      }
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1payins/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1payins/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1payins/get/responses/403"
          },
          "404": {
            "$ref": "#/paths/~1v1~1payins~1{payin_id}/get/responses/404"
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1payins/get/responses/5XX"
          }
        },
        "tags": [
          "Chargebacks"
        ]
      }
    },
    "/v1/chargebacks/{chargeback_id}/evidence/{chargeback_evidence_id}": {
      "patch": {
        "operationId": "update_chargeback_evidence",
        "summary": "Update chargeback evidence",
        "description": "Update a chargeback's evidence. Only fields included in the payload will be updated. Omitted fields will be removed. To remove a field, set the value to `null`.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1payins/get/parameters/0"
          },
          {
            "$ref": "#/paths/~1v1~1chargebacks~1{chargeback_id}/get/parameters/1",
            "in": "path"
          },
          {
            "in": "path",
            "required": true,
            "name": "chargeback_evidence_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique chargeback evidence identifier. \n\nPrefix is \"cbe\" in production and \"sbx_cbe\" in sandbox.",
            "examples": {
              "production": {
                "value": "cbe_2TndahOgm9XTiidLB7csk0IsR9b"
              },
              "sandbox": {
                "value": "sbx_cbe_2TndahOgm9XTiidLB7csk0IsR9b"
              }
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "description": null,
                "properties": {
                  "file_upload_ids": {
                    "type": "array",
                    "items": {
                      "description": "The unique file upload identifier. \n\nPrefix is \"fiu\" in production and \"sbx_fiu\" in sandbox.",
                      "type": "string",
                      "example": "fiu_2DrDU206kzAhclm1WrZbuwDERRk"
                    },
                    "description": "List of file upload IDs for the evidence."
                  },
                  "response": {
                    "type": "string",
                    "description": "Plain text description to provide additional information for the chargeback evidence.",
                    "nullable": true
                  },
                  "description": "The text-based response for the evidence."
                }
              },
              "examples": {
                "update": {
                  "value": {
                    "file_upload_ids": [
                      "fiu_2A4d6U0tMyovzTbVT1ktmRzdRaD"
                    ],
                    "response": "Customer signed proof of delivery document on 9/1"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "description": "Chargeback evidence details",
                      "type": "object",
                      "properties": {
                        "chargeback_evidence_id": {
                          "description": "The unique chargeback evidence identifier.\n\nPrefix is \"cbe\" in production and \"sbx_cbe\" in sandbox.",
                          "type": "string",
                          "example": "cbe_2DrDU206kzAhclm1WrZbuwDERRk"
                        },
                        "chargeback_id": {
                          "$ref": "#/paths/~1v1~1chargebacks~1{chargeback_id}/get/responses/200/content/application~1json/schema/properties/data/properties/chargeback_id"
                        },
                        "is_required": {
                          "description": "Boolean indicating if evidence is required to dispute the chargeback.",
                          "type": "boolean"
                        },
                        "type": {
                          "type": "string",
                          "description": "The type of evidence.",
                          "enum": [
                            "3DS_VERIFICATION",
                            "ADDITIONAL_AUTHORIZED_SIGNER",
                            "ADDITIONAL_HOUSEHOLD_SIGNER",
                            "AUTHORIZATION",
                            "CANCELLATION_POLICY",
                            "CVV2_CAPTURE",
                            "DIGITAL_DOWNLOAD",
                            "ITEM_CONDITION",
                            "LEGAL_ATTESTATION",
                            "ORDER_FORM",
                            "OTHER",
                            "OTHER_PAYMENT_METHODS",
                            "PRODUCT_OR_SERVICE_USAGE",
                            "PROOF_OF_DELIVERY_TO_EMPLOYEE",
                            "PROOF_OF_DELIVERY",
                            "REBUTTAL",
                            "RECEIPT",
                            "RECURRING_BILLING_AGREEMENT",
                            "RENTAL_AGREEMENT",
                            "TRANSACTION_HISTORY"
                          ]
                        },
                        "type_desc": {
                          "type": "string",
                          "description": "The description explaining the type of evidence."
                        },
                        "file_upload_mode": {
                          "$ref": "#/paths/~1v1~1chargebacks~1{chargeback_id}~1evidence~1{chargeback_evidence_id}/patch/responses/200/content/application~1json/schema/properties/data/properties/response_mode",
                          "description": "The mode for adding files to the evidence. If `REQUIRED`, the `file_upload_ids` must be set to respond to the chargeback."
                        },
                        "file_upload_ids": {
                          "type": "array",
                          "description": "List of file upload IDs for the evidence.",
                          "items": {
                            "$ref": "#/paths/~1v1~1chargebacks~1{chargeback_id}~1evidence~1{chargeback_evidence_id}/patch/requestBody/content/application~1json/schema/properties/file_upload_ids/items"
                          },
                          "nullable": true
                        },
                        "response_mode": {
                          "description": "The mode for adding a response to the evidence. If `REQUIRED`, the `response` must be set to respond to the chargeback.",
                          "type": "string",
                          "enum": [
                            "ALLOWED",
                            "NOT_ALLOWED",
                            "REQUIRED"
                          ]
                        },
                        "response": {
                          "$ref": "#/paths/~1v1~1chargebacks~1{chargeback_id}~1evidence~1{chargeback_evidence_id}/patch/requestBody/content/application~1json/schema/properties/response"
                        },
                        "created_at": {
                          "description": "Date and time chargeback evidence was created at in UTC RFC 3339 format.",
                          "$ref": "#/paths/~1v1~1payment_method_domains/post/responses/200/content/application~1json/schema/properties/data/properties/created_at",
                          "readOnly": true
                        },
                        "updated_at": {
                          "description": "Date and time chargeback evidence was last updated at in UTC RFC 3339 format.",
                          "$ref": "#/paths/~1v1~1payment_method_domains/post/responses/200/content/application~1json/schema/properties/data/properties/created_at",
                          "readOnly": true
                        }
                      }
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1payins/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1payins/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1payins/get/responses/403"
          },
          "404": {
            "$ref": "#/paths/~1v1~1payins~1{payin_id}/get/responses/404"
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1payins/get/responses/5XX"
          }
        },
        "tags": [
          "Chargebacks"
        ]
      }
    },
    "/v1/payins": {
      "get": {
        "operationId": "list_payins",
        "summary": "List payins",
        "description": "Query a list of payins given optional search criteria.",
        "parameters": [
          {
            "in": "header",
            "name": "Rainforest-Api-Version",
            "schema": {
              "type": "string",
              "default": "2024-10-16",
              "enum": [
                "2024-10-16",
                "2023-12-01"
              ]
            }
          },
          {
            "$ref": "#/paths/~1v1~1device_registrations/post/responses/200/content/application~1json/schema/properties/data/properties/merchant_id",
            "in": "query"
          },
          {
            "in": "query",
            "name": "merchant_name",
            "description": "Optional merchant name by which to filter.",
            "schema": {
              "type": "string"
            },
            "examples": {
              "partial": {
                "value": "Merchant",
                "summary": "Match a partial merchant name value."
              },
              "full": {
                "value": "Merchant LLC",
                "summary": "Match a full merchant name value."
              }
            }
          },
          {
            "in": "query",
            "name": "method_type",
            "description": "Payment method type to filter by. Provide parameter multiple times to filter by multiple payment method types.",
            "schema": {
              "description": "The type of payment method.",
              "type": "string",
              "enum": [
                "CARD",
                "APPLE_PAY",
                "GOOGLE_PAY",
                "ACH",
                "PLAID_ACH"
              ]
            }
          },
          {
            "in": "query",
            "name": "billing_contact_name",
            "description": "Optional billing contact name by which to filter.",
            "schema": {
              "type": "string",
              "maxLength": 50,
              "minLength": 1
            },
            "examples": {
              "partial": {
                "value": "Doe",
                "summary": "Match a partial billing contact name value."
              },
              "full": {
                "value": "John Doe",
                "summary": "Match a full billing contact name value."
              }
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "One or more payin statuses to filter by. Provide parameter multiple times to filter by multiple payin status types.\n\n`AUTHORIZED` `CANCELED` `CREATED` `FAILED` `IN_REVIEW` `PRESENTING` `PROCESSING` `RETURNED` `SUCCEEDED`",
            "schema": {
              "type": "array",
              "items": {
                "description": "The status of the payin.",
                "type": "string",
                "enum": [
                  "AUTHORIZED",
                  "CANCELED",
                  "CREATED",
                  "FAILED",
                  "IN_REVIEW",
                  "PRESENTING",
                  "PROCESSING",
                  "RETURNED",
                  "SUCCEEDED"
                ],
                "example": "PROCESSING"
              }
            }
          },
          {
            "in": "query",
            "name": "source",
            "description": "One or more payin sources to filter by. Provide parameter multiple times to filter by multiple payin sources. ",
            "schema": {
              "type": "array",
              "items": {
                "description": "The source of the payin. Indicates the integration that created the payin.",
                "type": "string",
                "nullable": false,
                "enum": [
                  "API_DIRECT",
                  "API_STORED_PAYMENT_METHOD",
                  "COMPONENT",
                  "DEVICE",
                  "EXTERNAL",
                  "IVR",
                  "TAP_TO_PHONE"
                ]
              }
            }
          },
          {
            "in": "query",
            "name": "metadata",
            "schema": {
              "type": "string"
            },
            "description": "Filter by metadata stored on the entity by passing a map of key-value pairs to filter on. The `key` should be valid JSONPath to a corresponding metadata key.\n\nFor example, an entity created with the following metadata\n```\n\"account\": {\n  \"id\": \"acct_123\"\n}\n```\ncould have the following metadata filter to find entities with the metadata account id: \n```\n?metadata[$.account.id]=acct_123\n```"
          },
          {
            "in": "query",
            "name": "created_at.start",
            "description": "Created on or after in UTC RFC 3339 format.",
            "schema": {
              "type": "string",
              "format": "date-time"
            },
            "example": "2022-01-01T12:00:00Z"
          },
          {
            "in": "query",
            "name": "created_at.end",
            "description": "Created on or before in UTC RFC 3339 format.",
            "schema": {
              "type": "string",
              "format": "date-time"
            },
            "example": "2022-01-01T12:00:00Z"
          },
          {
            "in": "query",
            "name": "expected_deposit_date.start",
            "description": "Expected to be deposited on or after in UTC RFC 3339 format.",
            "schema": {
              "type": "string",
              "format": "date"
            },
            "example": "2022-01-01"
          },
          {
            "in": "query",
            "name": "expected_deposit_date.end",
            "description": "Expected to be deposited on or before in UTC RFC 3339 format.",
            "schema": {
              "type": "string",
              "format": "date"
            },
            "example": "2022-01-01"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Optional value by which to sort the result set. Default sort by is created_at.",
            "schema": {
              "type": "string",
              "enum": [
                "amount",
                "billing_contact_name",
                "created_at",
                "expected_deposit_date",
                "merchant_id",
                "method_type",
                "payin_id",
                "status"
              ]
            }
          },
          {
            "in": "query",
            "name": "sort_order",
            "description": "Order in which to return the sorted results; ascending or descending. Default sort order is descending.",
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ]
            }
          },
          {
            "in": "query",
            "name": "limit",
            "schema": {
              "type": "number",
              "default": 1000,
              "maximum": 1000
            },
            "description": "The maximum number of results to return."
          },
          {
            "in": "query",
            "name": "start_key",
            "schema": {
              "type": "string"
            },
            "description": "A key used to indicate the starting point for the next page of results. This value should be set to the last_key returned by the previous paginated request."
          },
          {
            "in": "query",
            "deprecated": true,
            "name": "offset",
            "schema": {
              "type": "number",
              "default": 0,
              "minimum": 0
            },
            "description": "Offset has been deprecated. Utilize start_key and last_key for pagination.\n\nThe offset of the first result to return; zero-based."
          },
          {
            "in": "query",
            "name": "omit_total_results",
            "schema": {
              "type": "boolean"
            },
            "description": "The `total_results` field in the response will be set to -1. Allows for faster query results."
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "description": "Status of the request.\n\nIf the request status code is 2XX, then the `status` will be `SUCCESS`. If the request status code is 4XX or 5XX, then the `status` will be `ERROR`.",
                      "type": "string",
                      "enum": [
                        "SUCCESS",
                        "ERROR"
                      ],
                      "example": "SUCCESS"
                    },
                    "data": {
                      "allOf": [
                        {
                          "type": "object",
                          "properties": {
                            "total_results": {
                              "type": "integer",
                              "description": "Total number of results available. This value will be -1 if the query parameter `omit_total_results` is set to true."
                            }
                          }
                        },
                        {
                          "type": "object",
                          "properties": {
                            "last_key": {
                              "name": "last_key",
                              "schema": {
                                "type": "string"
                              },
                              "description": "Last ID in this result set.\n\nThis value can be be used as `start_key` in subsequent paginated requests to retrieve additional results whose IDs are greater than the `last_key` value."
                            },
                            "results": {
                              "description": "List of payins.",
                              "type": "array",
                              "items": {
                                "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data"
                              }
                            }
                          }
                        }
                      ]
                    },
                    "errors": {
                      "description": "List of errors, if applicable.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "description": "Details of the error.",
                        "properties": {
                          "field": {
                            "description": "The field in the request that had an error, if applicable.",
                            "type": "string"
                          },
                          "code": {
                            "description": "The code describing the error.",
                            "type": "string"
                          },
                          "message": {
                            "description": "The description of the error related to the field.",
                            "type": "string"
                          }
                        }
                      },
                      "example": null
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request, check for validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "description": "Default response object.",
                  "type": "object",
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "description": "Generic data object specified per resource, null if there are request errors.",
                      "type": "object",
                      "example": null,
                      "nullable": true,
                      "readOnly": true
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "RequestBody",
                      "message": "Invalid request payload"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Authorization missing or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1payins/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "AuthUnauthorized",
                      "message": "Unauthorized"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Authorization insufficient for requested action.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1payins/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "AuthForbidden",
                      "message": "Forbidden"
                    }
                  ]
                }
              }
            }
          },
          "5XX": {
            "description": "Unexpected error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1payins/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "string",
                      "message": "Internal Server Error"
                    }
                  ]
                }
              }
            }
          }
        },
        "tags": [
          "Payins"
        ]
      }
    },
    "/v1/payins/{payin_id}": {
      "get": {
        "operationId": "get_payin",
        "summary": "Get payin",
        "description": "Get payin details by the payin ID.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1payins/get/parameters/0"
          },
          {
            "in": "path",
            "required": true,
            "name": "payin_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique payin identifier. \n\nPrefix is \"pyi\" in production and \"sbx_pyi\" in sandbox.",
            "examples": {
              "production": {
                "value": "pyi_2DrDKk5NIMbpuNGqm109SkpGDHh"
              },
              "sandbox": {
                "value": "sbx_pyi_2DrDKk5NIMbpuNGqm109SkpGDHh"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "$ref": "#/paths/~1v1~1payins/post/responses/200/content/application~1json/schema/properties/data"
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1payins/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1payins/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1payins/get/responses/403"
          },
          "404": {
            "description": "Resource not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1payins/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "EntityNotFound",
                      "message": "Resource not found"
                    }
                  ]
                }
              }
            }
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1payins/get/responses/5XX"
          }
        },
        "tags": [
          "Payins"
        ]
      }
    },
    "/v1/payment_method_domains": {
      "post": {
        "operationId": "create_payment_method_domain",
        "summary": "Create payment method domain",
        "description": "Create payment method domain to verify your domain for payment processing with Apple Pay.\n\nA platform can have up to 99 domains.\n\nIf your integration requires a domain per merchant, then register the domain by providing a merchant_id in the request. Each merchant can have up to 99 domains.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1payins/get/parameters/0"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/paths/~1v1~1payment_method_domains/post/responses/200/content/application~1json/schema/properties/data",
                "required": [
                  "domain_name"
                ]
              },
              "examples": {
                "without_platform_id": {
                  "value": {
                    "domain_name": "rainforestpay.com"
                  }
                },
                "with_platform_id": {
                  "value": {
                    "platform_id": "plt_2cm5nBXB4GnMNsqPkoaUXmrOds9",
                    "domain_name": "rainforestpay.com"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "description": "A payment method domain",
                      "type": "object",
                      "properties": {
                        "payment_method_domain_id": {
                          "readOnly": true,
                          "description": "The unique payment method domain identifier. \n\nPrefix is \"pmd\" in production and \"sbx_pmd\" in sandbox.",
                          "type": "string",
                          "example": "pmd_2cm9diJDpnUga0fUFvgSwGlmMHB"
                        },
                        "merchant_id": {
                          "description": "The unique merchant identifier. Set if the Payment Method Domain is specific to a merchant.\n\nPrefix is \"mid\" in production and \"sbx_mid\" in sandbox.",
                          "$ref": "#/paths/~1v1~1device_registrations/post/requestBody/content/application~1json/schema/properties/merchant_id"
                        },
                        "domain_name": {
                          "description": "A fully qualified domain name",
                          "type": "string",
                          "example": "pay.yourdomain.com"
                        },
                        "status": {
                          "readOnly": true,
                          "description": "The status of the payment method domain",
                          "type": "string",
                          "enum": [
                            "CREATED",
                            "VERIFIED",
                            "DELETED"
                          ]
                        },
                        "created_at": {
                          "description": "The datetime when the domain was created, in RFC3339 format.",
                          "readOnly": true,
                          "type": "string",
                          "format": "date-time",
                          "example": "2022-01-01T12:00:00Z"
                        },
                        "updated_at": {
                          "description": "The datetime when the domain was updated, in RFC3339 format.",
                          "$ref": "#/paths/~1v1~1payment_method_domains/post/responses/200/content/application~1json/schema/properties/data/properties/created_at",
                          "readOnly": true
                        }
                      }
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1payins/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1payins/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1payins/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1payins/get/responses/403"
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1payins/get/responses/5XX"
          }
        },
        "tags": [
          "Payment Method Domains"
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Chargebacks",
      "description": "Resources for chargeback functions."
    },
    {
      "name": "Payins",
      "description": "Resources for payin functions."
    },
    {
      "name": "Payment Method Domains",
      "description": "Resources for payment method domain functions."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "APIKey"
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ]
}
````